package TSEP1E01.TSEP1E01.data;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.enterprise.context.RequestScoped;
import javax.enterprise.event.Observes;
import javax.enterprise.event.Reception;
import javax.enterprise.inject.Produces;
import javax.inject.Inject;
import javax.inject.Named;


import TSEP1E01.TSEP1E01.model.Noticia;


@RequestScoped
public class NoticiaListProduce {
	
		private List<Noticia> Noticia;

		@Produces
	    @Named
	    public List<Noticia> getNoticias() {
	        return Noticia;
	    }
		
	    public void onNoticiaListChanged(@Observes(notifyObserver = Reception.IF_EXISTS) final Noticia Noticia) throws Exception {
	        retrieveAllNoticiasOrderedByName();
	    }
	    
	    @Inject
	    @PostConstruct
	    public void retrieveAllNoticiasOrderedByName() throws Exception {
	    	List<Noticia> list = new ArrayList<Noticia>(NoticiaRepository.getInstancia().findAllOrderedByName().values());
	    	Noticia = list;
	    }
}
