package TSEP1E01.TSEP1E01.data;
import java.util.HashMap;
import java.util.Map;


import javax.ejb.Local;
import javax.ejb.Singleton;
import javax.ejb.Startup;

import javax.inject.Inject;

import TSEP1E01.TSEP1E01.model.Noticia;
import TSEP1E01.TSEP1E01.model.Publicacion;




@Singleton
@Startup

public class NoticiaRepository implements NoticiaRepositoryLocal,NoticiaRepositoryRemoto {
	
	
	private Map<String,Noticia> mapNoticia;
	private static NoticiaRepository instancia = null;

		 
		public Noticia findById(String id) {
			
			return mapNoticia.get(id);
  	    }
		
		public static NoticiaRepository getInstancia() throws Exception {
			if(instancia == null) {
				instancia = new NoticiaRepository();
			}
			return instancia;
		}
		@Inject
		private NoticiaRepository() throws Exception {
		
			mapNoticia = new HashMap<>();
		
		cargarDatos();
		
		}
	 

	    public Map<String,Noticia> findAllOrderedByName() {
	    
	        return mapNoticia;
	    }
	    public boolean AgregarNoticia(Noticia Noticia) throws Exception   {
	    	try {
	    		mapNoticia.put(Noticia.getId(), Noticia);	
	    		return true;
			} catch (Exception e) {
				return false;
			}
	    	
	       
	    }
	
		public Noticia getNoticia(String id) {
			return mapNoticia.get(id);
		}
		
		public void cargarDatos() throws Exception {
			
			Noticia noticia1 = new Noticia("1", "Titulo 1","Noticia 1");
			Noticia noticia2 = new Noticia("2", "Titulo 2","Noticia 2");
			Noticia noticia3 = new Noticia("3", "Titulo 3","Noticia 3");
			Noticia noticia4 = new Noticia("4", "Titulo 4","Noticia 4");
			Noticia noticia5 = new Noticia("5", "Titulo 5","Noticia 5");
			Noticia noticia6 = new Noticia("6", "Titulo 6","Noticia 6");
			Noticia noticia7 = new Noticia("7", "Titulo 7","Noticia 7");
			Noticia noticia8 = new Noticia("8", "Titulo 8","Noticia 8");
			Noticia noticia9 = new Noticia("9", "Titulo 9","Noticia 9");
			Noticia noticia10 = new Noticia("10", "Titulo 10","Noticia 10");
			
			AgregarNoticia(noticia1);
			AgregarNoticia(noticia2);
			AgregarNoticia(noticia3);
			AgregarNoticia(noticia4);
			AgregarNoticia(noticia5);
			AgregarNoticia(noticia6);
			AgregarNoticia(noticia7);
			AgregarNoticia(noticia8);
			AgregarNoticia(noticia9);
			AgregarNoticia(noticia10);
		}
	
}